package testlib

import (
	"io"
	"time"
)

type Options struct {
	Foo      int
	Duration time.Duration
	Time     time.Time
}

// Foo sums three numbers.
func Foo(a, b, c int) int {
	return a + b + c
}

func Bar(out io.Writer, a, b, c int) int {
	return a + b + c
}

func Baz(o Options) int {
	return o.Foo
}
